#include <stdio.h>

#include <array.h>

static void
print_details (Array *arr)
{
    size_t len = array_get_length (arr);
    size_t capacity = array_get_capacity (arr);
    printf ("Array length %zu, Array capacity %zu\n", len, capacity);
}

int
main (void)
{
    Array *arr = array_new (NULL);
    print_details (arr);

    for (int i = 0; i < 10; i++)
    {
        array_add (arr, NULL);
        print_details (arr);
    }
    
    for (int i = 0; i < 10; i++)
    {
        array_remove_fast (arr, 0);
        print_details (arr);
    }

    return 0;
}
